<?php
$titlu='Sitemap mesaje instant';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/mesaje-instant','Mesaje instant');
$mesaje_instant=$conn->query('SELECT`data`,`text`FROM`mesaje_instant`ORDER BY`data`DESC');
while($mesaj_instant=$mesaje_instant->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/mesaje-instant/pagina/'.$z1,'Mesaje instant - pagina '.$z1);
}
$mesaj_instant[1]=mb_substr($mesaj_instant[1],0,15);
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`mesaje_instant_aprecieri`WHERE`pid`="'.$mesaj_instant[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-mesaj-instant/id/'.$mesaj_instant[0].'-'.seo($mesaj_instant[1]).'/tip/aprecieri','Aprecieri mesaj instant '.$mesaj_instant[0].' - '.htmlspecialchars($mesaj_instant[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-mesaj-instant/id/'.$mesaj_instant[0].'-'.seo($mesaj_instant[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri mesaj instant '.$mesaj_instant[0].' - '.htmlspecialchars($mesaj_instant[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`mesaje_instant_aprecieri`WHERE`pid`="'.$mesaj_instant[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-mesaj-instant/id/'.$mesaj_instant[0].'-'.seo($mesaj_instant[1]).'/tip/dezaprecieri','Dezaprecieri mesaj instant '.$mesaj_instant[0].' - '.htmlspecialchars($mesaj_instant[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-mesaj-instant/id/'.$mesaj_instant[0].'-'.seo($mesaj_instant[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri mesaj instant '.$mesaj_instant[0].' - '.htmlspecialchars($mesaj_instant[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`mesaje_instant_comentarii`WHERE`pid`="'.$mesaj_instant[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-mesaj-instant/id/'.$mesaj_instant[0].'-'.seo($mesaj_instant[1]),'Comentarii mesaj instant '.$mesaj_instant[0].' - '.htmlspecialchars($mesaj_instant[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-mesaj-instant/id/'.$mesaj_instant[0].'-'.seo($mesaj_instant[1]).'/pagina/'.($comentarii+1),'Comentarii mesaj instant '.$mesaj_instant[0].' - '.htmlspecialchars($mesaj_instant[1]).' - pagina '.($comentarii+1));
}
}
$y1++;
}
echo$x2;
require'f_fun.php';